package com.kingdee.eas.custom.synctask.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Map;

/**
 * @author qingwu
 * @date 2024/10/21
 * @apiNote
 */
public class AdminOrg {
    @JsonProperty("@action")
    private String action;//add 新增，edit 编辑 delete 删除（只会处理canceled字段）
    private String code;//编号
    private String shortname;//简称
    private String fullname;//全称
    private String org_code;// 分部编号
    private String parent_code;//上级部门编号
    private String canceled;//封存标志
    private String order;//排序
    @JsonProperty("custom_data")
    private Map customData;//自定义

    public AdminOrg() {
    }

    public AdminOrg(String action, String code, String shortname, String fullname, String org_code, String parent_code, String canceled, String order) {
        this.action = action;
        this.code = code;
        this.shortname = shortname;
        this.fullname = fullname;
        this.org_code = org_code;
        this.parent_code = parent_code;
        this.canceled = canceled;
        this.order = order;
    }

    public Map getCustomData() {
        return customData;
    }

    public void setCustomData(Map customData) {
        this.customData = customData;
    }


    public void setAction(String action) {
        this.action = action;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public void setShortname(String shortname) {
        this.shortname = shortname;
    }

    public void setFullname(String fullname) {
        this.fullname = fullname;
    }

    public void setOrg_code(String org_code) {
        this.org_code = org_code;
    }

    public void setParent_code(String parent_code) {
        this.parent_code = parent_code;
    }

    public void setCanceled(String canceled) {
        this.canceled = canceled;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public String getAction() {
        return action;
    }

    public String getCode() {
        return code;
    }

    public String getShortname() {
        return shortname;
    }

    public String getFullname() {
        return fullname;
    }

    public String getOrg_code() {
        return org_code;
    }

    public String getParent_code() {
        return parent_code;
    }

    public String getCanceled() {
        return canceled;
    }

    public String getOrder() {
        return order;
    }

    @Override
    public String toString() {
        return "AdminOrg{" +
                "action='" + action + '\'' +
                ", code='" + code + '\'' +
                ", shortname='" + shortname + '\'' +
                ", fullname='" + fullname + '\'' +
                ", org_code='" + org_code + '\'' +
                ", parent_code='" + parent_code + '\'' +
                ", canceled='" + canceled + '\'' +
                ", order='" + order + '\'' +
                '}';
    }
}
